[CentOS] Erreur installation paquet bcmath php55 [Résolu/Fermé]

Fab - 3 sept. 2016 à 21:13 - Dernière réponse : mamiemando 28088 Messages postés jeudi 12 mai 2005Date d'inscriptionModérateurStatut 12 décembre 2017 Dernière intervention
- 4 sept. 2016 à 17:18
hello,

je suis en train d'installer teampass sur une centos 6.8 et je rencontre un probleme avec une dependance, je n'arrive pas a la desinstaller.
en cause je n'arrive pas a installer le paquet bcmath.

j'ai bien suivi les pre requis
apache minimum 2
php minimum 5.5


voici l'erreur:

[root@template ~]# yum install php-bcmath
Modules complémentaires chargés : fastestmirror, security
Configuration du processus d'installation
Loading mirror speeds from cached hostfile


base: centos.quelquesmots.fr
epel: epel.mirrors.ovh.net
extras: centos.quelquesmots.fr
ius: mirror.amsiohosting.net
updates: miroir.univ-paris13.fr

Résolution des dépendances
-->Lancement de la transaction de test
---> Package php-bcmath.x86_64 0:5.3.3-48.el6_8 will be installé
--> Traitement de la dépendance : php-common(x86-64) = 5.3.3-48.el6_8 pour le paquet : php-bcmath-5.3.3-48.el6_8.x86_64
--> Lancement de la transaction de test
---> Package php-common.x86_64 0:5.3.3-48.el6_8 will be installé
--> Traitement du conflit : php55u-common-5.5.38-1.ius.centos6.x86_64 entre en conflit avec php-common < 5.5
--> Résolution des dépendances terminée
Erreur : php55u-common conflicts with php-common-5.3.3-48.el6_8.x86_64
Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
Vous pouvez essayer d'exécuter : rpm -Va --nofiles --nodigest



voici la liste des paquets php installé:

[root@template ~]# yum list installed php*
Modules complémentaires chargés : fastestmirror, security
Loading mirror speeds from cached hostfile


base: centos.quelquesmots.fr
epel: fr2.rpmfind.net
extras: centos.quelquesmots.fr
ius: mirrors.ircam.fr
updates: miroir.univ-paris13.fr
Paquets installés
php55u.x86_64 5.5.38-1.ius.centos6 @iusphp55u-cli.x86_64 5.5.38-1.ius.centos6 @iusphp55u-common.x86_64 5.5.38-1.ius.centos6 @iusphp55u-devel.x86_64 5.5.38-1.ius.centos6 @iusphp55u-gd.x86_64 5.5.38-1.ius.centos6 @iusphp55u-mbstring.x86_64 5.5.38-1.ius.centos6 @iusphp55u-mcrypt.x86_64 5.5.38-1.ius.centos6 @iusphp55u-mysqlnd.x86_64 5.5.38-1.ius.centos6 @iusphp55u-pdo.x86_64 5.5.38-1.ius.centos6 @iusphp55u-pear.noarch 1:1.10.1-2.ius.centos6 @iusphp55u-pecl-jsonc.x86_64 1.3.10-1.ius.centos6 @iusphp55u-pecl-jsonc-devel.x86_64 1.3.10-1.ius.centos6 @iusphp55u-process.x86_64 5.5.38-1.ius.centos6 @iusphp55u-soap.x86_64 5.5.38-1.ius.centos6 @iusphp55u-xml.x86_64 5.5.38-1.ius.centos6 @ius



merci pour toute aide
Afficher la suite 

3 réponses

mamiemando 28088 Messages postés jeudi 12 mai 2005Date d'inscriptionModérateurStatut 12 décembre 2017 Dernière intervention - 4 sept. 2016 à 11:55
0
Utile
Bonjour,

As-tu tenté de faire une mise à jour globale (et de php5 en particulier) grâce à
yum update
avant d'installer de nouveaux paquets avec
yum install ...
?
https://www.centos.org/docs/5/html/5.1/Deployment_Guide/s1-yum-useful-commands.html

Bonne chance
0
Utile
1
Great!

merci de m'avoir rappeler les commande yum,
avec yum provides j'ai pu trouver le dépôt nécessaire

php55u-bcmath-5.5.38-1.ius.centos6.x86_64

:)
mamiemando 28088 Messages postés jeudi 12 mai 2005Date d'inscriptionModérateurStatut 12 décembre 2017 Dernière intervention - 4 sept. 2016 à 17:18
Parfais, bonne continuation !